1532167 - Unable to install application that uses Crystal 13 dlls

SAP Knowledge Base Article - Public

1532167 - Unable to install application that uses Crystal 13 dlls

Symptom

  • Install .NET framework 4.0 and SAP Crystal Reports for Visual Studio 2010 runtimes.
  • When installing/deploying the .NET windows application the following error is received:
    'The application requires that assembly CrystalDecisions.Data.AdoDotNetInterop Version 13.0.2000.0 be installed in the Global Assembly Cache (GAC) First'

Environment

  • Visual Studio 2010.
  • SAP Crystal Reports for Visual Studio 2010 (CR4VS2010).
  • Windows 2003 Sp2.
  • Windows application.

Cause

  • The un-installation of CR4VS2010 Beta was not proper. Registry entry shows entry of CR4VS2010 beta.
  • The application contains Viewer tool of version 14.0, which is of beta version of CR4VS2010.

Resolution

A clean installation of .NET framework 4.0, CR4VS2010 (final build) and VS2010 resolved the error in development machine.

A clean installation of .NET framework 4.0, CR4VS2010 runtimes resolved the error in production machine.

See Also

NOTE:

Keywords

KBA , BI-DEV-NET , BI Software Development Kits (SDKs) - .NET or Other , Problem

Product

SAP Crystal Reports, developer version for Microsoft Visual Studio